Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 450593 - package install with high errors crashes smart
Summary: package install with high errors crashes smart
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: smart
Version: 9
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Axel Thimm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-09 19:10 UTC by i fennell
Modified: 2009-04-15 07:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-04-15 07:22:16 UTC
Type: ---


Attachments (Terms of Use)

Description i fennell 2008-06-09 19:10:51 UTC
Description of problem:
filed bug 450423 -conflict in packages causes X error messages about resources
smart and gpk-application act the same and crash when huge error file is 
generated- no clues are recorded in logs and conflict is not reported and pkg 
install fails 

may be common gnome package with gpk-application
yumex succeeds - (allocates enough space for the errors generated?)
Version-Release number of selected component (if applicable):Smart Package 
Manager
0.52 


How reproducible:
everytime one of the conflicting packages was already installed

Steps to Reproduce:
1.launch update with kernel-xen-2.6-doc-2.6.25.3-1.fc9.noarch already 
installed.
2.select kernel-doc-2.6.25
3.commit and wait for the crash

please refer to bug 450423 for complete details and attachments
  
Actual results:

fails
Expected results:
error

Additional info:please refer to bug 450423 for complete details and 
attachments
filing bug for gpk-application also

Comment 1 i fennell 2008-06-09 19:15:37 UTC
also filed bug 45094 with gpk-application

Comment 2 Axel Thimm 2008-06-14 06:06:44 UTC
How does smart crash, segfault, silent exit, core dump? What is the exit status?

Comment 3 i fennell 2008-06-15 17:28:51 UTC
pls read details as above filed in 450423
smart --gui
gives silent exit

only info found when launched from a command line
what was left is reported in bug 450423

of 3 software install systems ,
 1 worked (yumex , it reported the errors-huge output of error listings)
 2 crashed in X (smart this bug ,and the default update package manager bug 
450594- that in X left no trace . run from the command line(to launch the gui) 
the window reported an X error details at bug 450423 )

common library/code error?



Comment 4 Axel Thimm 2008-06-15 18:53:47 UTC
It might be a default gtk buffer size. Have you tried w/o --gui?

Comment 5 Rehan Khan 2008-07-06 09:40:02 UTC
Could you open a ticket with smart upstream?

https://bugs.launchpad.net/smart

Thanks


Note You need to log in before you can comment on or make changes to this bug.